:root {
  --primary: #4f46e5;
  --secondary: #38bdf8;
  --light: #f5f5f5;
  --light-primary: #edecfc;
}

html {
  scroll-padding-top: 40px;
}

body {
  font-family: 'Roboto', sans-serif;
}

ol li {
  counter-increment: item;
  position: relative;
  padding-left: 3rem;
  margin-bottom: 1rem;
}

ol li::before {
  content: counter(item);
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 2rem;
  height: 2rem;
  background-color: var(--light);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
}

.cover {
  position: relative;
}
.cover:before {
  content: '';
  position: absolute;
  top: -50px;
  left: 50px;
  width: 100%;
  height: 100%;
  background: var(--primary);
  z-index: -1;
  opacity: 0.1;
  border-radius: 6px;
  opacity: 0;
}

.bg-underline, .bg-underline-small {
  position: relative;
  display: inline-block;
  white-space: nowrap;
}
.bg-underline:before {
  content: '';
  background: var(--primary);
  position: absolute;
  height: 35%;
  width: 105%;
  z-index: -1;
  bottom: 4px;
  opacity: 0.1;
  transform: translateX(-50%);
  left: 50%;
}

.bg-underline-small:before {
  content: '';
  background: var(--primary);
  position: absolute;
  height: 35%;
  z-index: -1;
  bottom: 0;
  left: -5px;
  right: -5px;
  width: calc(100% + 10px);
  opacity: 0.1;
}

button, .btn {
  letter-spacing: 1px;
}

/* Menu Mobile Animation */
#menu-toggle.active #burger-1 {
  transform: translateY(8px) rotate(45deg);
}
#menu-toggle.active #burger-2 {
  opacity: 0;
}
#menu-toggle.active #burger-3 {
  transform: translateY(-8px) rotate(-45deg);
}

svg path {
  fill: var(--primary);
}

/* Swiper Références Styles */
.ref-swiper {
    padding-bottom: 64px !important;
}

.ref-swiper .swiper-pagination-bullet {
    width: 12px;
    height: 12px;
    background: #4f46e5;
    opacity: 0.2;
}

.ref-swiper .swiper-pagination-bullet-active {
    opacity: 1;
    width: 40px;
    border-radius: 6px;
    transition: all 0.3s;
}

@media screen and (max-width: 768px) {
  body .swiper {
    overflow: visible;
  }
}